package com.kingdee.eas.custom.esign;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class FileTabCollection extends AbstractObjectCollection 
{
    public FileTabCollection()
    {
        super(FileTabInfo.class);
    }
    public boolean add(FileTabInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(FileTabCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(FileTabInfo item)
    {
        return removeObject(item);
    }
    public FileTabInfo get(int index)
    {
        return(FileTabInfo)getObject(index);
    }
    public FileTabInfo get(Object key)
    {
        return(FileTabInfo)getObject(key);
    }
    public void set(int index, FileTabInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(FileTabInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(FileTabInfo item)
    {
        return super.indexOf(item);
    }
}